<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class EskulSiswa extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'id' => [
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'id_siswa' => [
                'type' => 'INT',
                'constraint' => 11,
            ],
            'id_eskul' => [
                'type' => 'INT',
                'constraint' => 11,
            ],
            'status' => [
                'type'       => 'ENUM',
                'constraint' => ['aktif', 'tidak'],
                'default'    => 'aktif',
            ],
            'created_at' => [
                'type' => 'TIMESTAMP',

            ],

        ]);
        $this->forge->addKey('id', true);
        $this->forge->createTable('eskul_siswa');
    }

    public function down()
    {
        $this->forge->dropTable('eskul_siswa');
    }
}
